//_____________________________________________________________________________
// Simple Solar Battery Charger 
// File: main.c writen by: Cyprian Kamil Kowalski  2018, email: c4v2@o2.pl
// Microkontroler: ATiny13A
// Fuses: SUT_CKSEL: int.RC 9.6MHz 14CK+64ms; CKDIV8: off; BODLEVEL: VCC=4.3V;
// Fuses value: HIGH 0xF9, LOW 0x1A
//_____________________________________________________________________________
//-----------------------------------------------------------------------------
#include <stdint.h>
#include <avr/io.h>
#include <avr/wdt.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
//#include "tcGen/usertcdata.h" // User defined temperature coefficient data (nolinear)
#include "global.h"
//_____________________________________________________________________________
//--[                 ]--------------------------------------------------------
EMPTY_INTERRUPT(ADC_vect);
EMPTY_INTERRUPT(TIM0_COMPA_vect);
//_____________________________________________________________________________
//--[                 ]--------------------------------------------------------
int main(void) {
  Init_Device();
  while(1){
    wdt_reset();
    Wait_Before_Means();
    Get_ADC_Value(&batteryRec); 
    Charge_Control(&batteryRec);
    Load_Control(&batteryRec);  
  }           
};
//_____________________________________________________________________________
// Ende


